Processing Gdal Translate

2017-03-03 10:08 AM - matteo ghetta

Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/GDAL

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24186

Description

When trying to use the gdal translate format of raster files, no matter what kind of file it is (tiff, hdr, etc..) and no matter which combination

of choice is made, the algorithm throws this error:

2017-03-03T13:13:28    0    gdal_translate -of GTiff -ot Float32 -outsize 100% 100% -expand "(0, 'none')" -projwin 1554747.2310344942

4924820.77 1771747.2310344942 4678320.77 /home/matteo/lavori/gis/corso/Dati_corso_QGIS/dtm/hdr.tif

/tmp/processingb0fbced9ffc24643bc6020cbcf8125d2/f00fc2b4bef5488eb6c557f6ae5ef037/OUTPUT.tif

@2017-03-03T13:13:28    0    GDAL execution console output

            ERROR 5: Value (0, 'none') unsupported. Only gray, rgb or rgba are supported.

Usage: gdal_translate [--help-general] [--long-usage]

[-ot {Byte/Int16/UInt16/UInt32/Int32/Float32/Float64/

CInt16/CInt32/CFloat32/CFloat64}] [-strict]

[-of format] [-b band] [-mask band] [-expand {gray|rgb|rgba}]

[-outsize xsize[%]|0 ysize[%]|0] [-tr xres yres]

[-r {nearest,bilinear,cubic,cubicspline,lanczos,average,mode}]

[-unscale] [-scale[_bn] [src_min src_max [dst_min dst_max]]]* [-exponent[_bn] exp_val]*

[-srcwin xoff yoff xsize ysize] [-epo] [-eco]

[-projwin ulx uly lrx lry] [-projwin_srs srs_def]

[-a_srs srs_def] [-a_ullr ulx uly lrx lry] [-a_nodata value]

[-gcp pixel line easting northing [elevation]]*

[-mo "META-TAG=VALUE"]* [-q] [-sds]

[-co "NAME=VALUE"]* [-stats] [-norat]

[-oo NAME=VALUE]*

src_dataset dst_dataset

2017-03-03T13:13:28    2    Error loading result layer:

            Traceback (most recent call last):

              File "/home/matteo/lavori/QGIS/build-qgis3/output/python/plugins/processing/gui/Postprocessing.py", line 75, in

handleAlgorithmResults

                out.name))

              File "/home/matteo/lavori/QGIS/build-qgis3/output/python/plugins/processing/tools/dataobjects.py", line 223, in load

                + '\

Check the processing framework log to look for errors')

            RuntimeError: Could not load layer:

/tmp/processingb0fbced9ffc24643bc6020cbcf8125d2/f00fc2b4bef5488eb6c557f6ae5ef037/OUTPUT.tif

            Check the processing framework log to look for errors@

History
#1 - 2017-03-06 03:52 AM - Giovanni Manghi

- Target version changed from Future Release - High Priority to Version 3.0

- Assignee changed from Victor Olaya to Giovanni Manghi

- Status changed from Open to Feedback

Only master is affected or also 2.18.4?

#2 - 2017-04-19 11:52 PM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Fixed in master
